﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;

namespace WindowsFormsApplication30
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            UltraGridLayout layout = e.Layout;
            UltraGridOverride ov = layout.Override;

            ov.AllowAddNew = AllowAddNew.TemplateOnBottom;
            ov.CellClickAction = CellClickAction.CellSelect;

            ov.SelectTypeCell = SelectType.Single;
            ov.SelectTypeCol = SelectType.None;
            ov.SelectTypeGroupByRow = SelectType.None;
            ov.SelectTypeRow = SelectType.None;

            layout.TabNavigation = TabNavigation.NextControlOnLastCell;
        }

        private void ultraGrid1_Enter(object sender, EventArgs e)
        {
            UltraGrid grid = ((UltraGrid)sender);
            grid.BeginInvoke(new MethodInvoker(this.EnsureActiveCell));
        }

        private void EnsureActiveCell()
        {
            if (this.ultraGrid1.ActiveCell == null)
            {
                this.ultraGrid1.Rows.TemplateAddRow.Cells[0].Activate();
                //this.ultraGrid1.PerformAction(UltraGridAction.EnterEditMode, false, false);
            }            
        }
    }
}
